<ParticleLibrary Name="weapons_behr_rifle_ballistic_01" SandboxVersion="3.11.91.62278" ParticleVersion="38">
  <Particles Name="5mm_rifle_ballistic.1st_MuzzleFlash">
    <Params Inheritance="System" Count="1" ParticleSystem="CryEngine" TextureAnimation="FirstFrameIntervalStart=1,FirstFrameIntervalEnd=1" Color="(x=0.6795426,y=0.3185468,z=0.1221388)" TessellationAmount="Low" DiffuseLighting="0" MoveRelativeEmitter="true" Facing="Free" />
    <Childs>
      <Particles Name="light">
        <Params Inheritance="System" Spawn="FromParentBirth" Count="1,EmitterStrength=(flags=32;t=0.49,v=1,flags=4;t=1,v=1),DistanceLOD=(t=0.937,v=1;t=1)" MaxDistanceLOD="100" ParticleSystem="CryEngine" ParticleLifeTime="0.05" PositionOffset="y=0.05" TextureAnimation="FirstFrameIntervalStart=1,FirstFrameIntervalEnd=1" Color="(x=0.7529423,y=0.4178851,z=0.25818288)" TessellationAmount="Low" DiffuseLighting="0" EmissiveLighting="1" LightSource="Radius=1.5,SoftBulb=true,Intensity=(0.01,Random=0.3,ParticleAge=(v=1;t=0.08,v=1;t=1,v=0.024))" MoveRelativeEmitter="true" RandomAngles="y=20" CameraMaxDistance="100" />
      </Particles>
      <Particles Name="sparks">
        <Params Inheritance="System" Spawn="FromParentBirth" Count="3,Random=1,DistanceLOD=(v=1;t=0.604,v=1,flags=32;t=1,flags=4)" MaxDistanceLOD="5" ParticleSystem="RParticleGPU" SpawnProbability="0.5" Continuous="true" EmitterLifeTime="0.1" ParticleLifeTime="0.15,Random=1" EmissionSize="y=0.05" BlendType="Additive" Texture="textures/vfx/sparks/spark_single1_diff.tif" TextureSharpness="1" TextureAnimation="AnimRate=0,FirstFrameIntervalEnd=10" SoftParticle="true" Alpha="Random=0.5,ParticleAge=(flags=32;t=0.125,v=1,flags=36;t=1)" Color="Random=0.5,ParticleAge=(t=0.027,v=(x=0.32,y=0.545,z=0.95);t=0.33,v=(x=0.816,y=0.376,z=0.145))" EmissiveLighting="100" Speed="2.5,Random=1" GravityScale="0.2,Random=1" Drag="1" VortexTurbulence="1,Frequency=(x=20,y=20,z=20),Amplitude=(x=1,y=1,z=1),RandomPhase=0.160714,RandomFrequency=0.104167" MoveRelativeEmitter="true" Size="0.005,Random=0.237647,ParticleAge=(v=1,flags=32;t=1,flags=4)" MinPixels="1" MaxPixels="10" OrientToVelocity="true" OrientToInitialVelocity="true" NumTrailSegments="2" TrailTime="0.015,Random=1" TrailFade="1" PropagationBlend="1" CameraMaxDistance="5" CameraMaxDistanceFraction="0.5" ResponsiveAA="true" />
      </Particles>
      <Particles Name="smoke">
        <Params Inheritance="System" Count="3,DistanceLOD=(t=0.78,v=1;t=1)" MaxDistanceLOD="15" ParticleSystem="RParticleGPU" SpawnProbability="0.5" EmissionDistribution="1" EmitAngle="5" VerticalSpread="5" BlendType="Additive" Texture="textures/vfx/smoke/smoke_wispy_5x5_dif.tif" FlowMapIntensity="0.0547" TextureAnimation="NumFramesU=5,NumFramesV=5,FrameBlend=true" Alpha="0.256,ParticleAge=(t=0.25,v=1,flags=32;t=1)" Color="(x=0.027320893,y=0.027320893,z=0.027320893)" EmissiveLighting="0.1" Speed="1" GravityScale="-0.02" Drag="5" Size="0.1,Random=0.2,ParticleAge=(v=0.09,flags=32;t=1,v=1)" VelocityStretch="1,ParticleAge=(v=1,flags=32;t=0.17,v=0.34;t=0.357,v=0.09;t=1)" RandomAngles="y=180" CameraMaxDistance="15" />
      </Particles>
      <Particles Name="core">
        <Params Inheritance="System" Spawn="FromParentBirth" Count="15,Random=0.2,EmitterStrength=(flags=32;t=0.49,v=1,flags=4;t=1,v=1),DistanceLOD=(v=1;t=0.5,v=1,flags=32;t=1,flags=4)" MaxDistanceLOD="75" ParticleSystem="RParticleGPU" ParticleLifeTime="0.1" EmissionRoundness="1" EmitAngle="2" VerticalSpread="2" BlendType="Additive" Texture="textures/vfx/smoke/smoke_wispy_5x5_dif.tif" FlowMapIntensity="0.0547" TextureAnimation="NumFramesU=5,NumFramesV=5,AnimRate=0,Loop=true,FirstFrameIntervalEnd=25,FrameBlend=true" RandomFlipU="true" RandomFlipV="true" SoftParticleV2="true" Alpha="0.0852273,Random=1,ParticleAge=(v=1,flags=32;t=1,flags=4)" Color="ParticleAge=(t=0.333,v=(x=0.87,y=0.49,z=0.11);t=0.855,v=(x=0.8,y=0.22,z=0.063);t=0.992)" DiffuseLighting="0" EmissiveLighting="25,ParticleAge=(v=1;t=1,flags=4)" Speed="8,Random=1,EmitterStrength=(flags=32;t=1,v=1,flags=4),DistanceLOD=(v=1;t=1)" MoveRelativeEmitter="true" Size="0.075,Random=0.2" VelocityStretch="1,ParticleAge=(v=1;t=0.31)" MinPixels="2" RandomAngles="y=180" Facing="Velocity" OrientToVelocity="true" CameraMaxDistance="70" />
      </Particles>
    </Childs>
  </Particles>
  <Particles Name="5mm_rifle_ballistic.3rd_MuzzleFlash">
    <Params Inheritance="System" Count="1" ParticleSystem="CryEngine" TextureAnimation="FirstFrameIntervalStart=1,FirstFrameIntervalEnd=1" Color="(x=0.6795426,y=0.3185468,z=0.1221388)" TessellationAmount="Low" DiffuseLighting="0" MoveRelativeEmitter="true" Facing="Free" />
    <Childs>
      <Particles Name="light">
        <Params Inheritance="System" Spawn="FromParentBirth" Count="1,EmitterStrength=(flags=32;t=0.49,v=1,flags=4;t=1,v=1),DistanceLOD=(t=0.937,v=1;t=1)" MaxDistanceLOD="100" ParticleSystem="CryEngine" ParticleLifeTime="0.05" PositionOffset="y=0.05" TextureAnimation="FirstFrameIntervalStart=1,FirstFrameIntervalEnd=1" Color="(x=0.7529423,y=0.4178851,z=0.25818288)" TessellationAmount="Low" DiffuseLighting="0" EmissiveLighting="1" LightSource="Radius=1.5,SoftBulb=true,Intensity=(0.01,Random=0.3,ParticleAge=(v=1;t=0.08,v=1;t=1,v=0.024))" MoveRelativeEmitter="true" RandomAngles="y=20" CameraMaxDistance="100" />
      </Particles>
      <Particles Name="sparks">
        <Params Inheritance="System" Spawn="FromParentBirth" Count="3,Random=1,DistanceLOD=(v=1;t=0.604,v=1,flags=32;t=1,flags=4)" MaxDistanceLOD="5" ParticleSystem="RParticleGPU" SpawnProbability="0.5" Continuous="true" EmitterLifeTime="0.1" ParticleLifeTime="0.15,Random=1" EmissionSize="y=0.05" BlendType="Additive" Texture="textures/vfx/sparks/spark_single1_diff.tif" TextureSharpness="1" TextureAnimation="AnimRate=0,FirstFrameIntervalEnd=10" SoftParticle="true" Alpha="Random=0.5,ParticleAge=(flags=32;t=0.125,v=1,flags=36;t=1)" Color="Random=0.5,ParticleAge=(t=0.027,v=(x=0.32,y=0.545,z=0.95);t=0.33,v=(x=0.816,y=0.376,z=0.145))" EmissiveLighting="100" Speed="2.5,Random=1" GravityScale="0.2,Random=1" Drag="1" VortexTurbulence="1,Frequency=(x=20,y=20,z=20),Amplitude=(x=1,y=1,z=1),RandomPhase=0.160714,RandomFrequency=0.104167" MoveRelativeEmitter="true" Size="0.005,Random=0.237647,ParticleAge=(v=1,flags=32;t=1,flags=4)" MinPixels="1" MaxPixels="10" OrientToVelocity="true" OrientToInitialVelocity="true" NumTrailSegments="2" TrailTime="0.015,Random=1" TrailFade="1" PropagationBlend="1" CameraMaxDistance="5" CameraMaxDistanceFraction="0.5" ResponsiveAA="true" />
      </Particles>
      <Particles Name="smoke">
        <Params Inheritance="System" Count="3,DistanceLOD=(t=0.78,v=1;t=1)" MaxDistanceLOD="15" ParticleSystem="RParticleGPU" SpawnProbability="0.5" EmissionDistribution="1" EmitAngle="5" VerticalSpread="5" BlendType="Additive" Texture="textures/vfx/smoke/smoke_wispy_5x5_dif.tif" FlowMapIntensity="0.0547" TextureAnimation="NumFramesU=5,NumFramesV=5,FrameBlend=true" Alpha="0.256,ParticleAge=(t=0.25,v=1,flags=32;t=1)" Color="(x=0.027320893,y=0.027320893,z=0.027320893)" EmissiveLighting="0.1" Speed="1" GravityScale="-0.02" Drag="5" Size="0.1,Random=0.2,ParticleAge=(v=0.09,flags=32;t=1,v=1)" VelocityStretch="1,ParticleAge=(v=1,flags=32;t=0.17,v=0.34;t=0.357,v=0.09;t=1)" RandomAngles="y=180" CameraMaxDistance="15" />
      </Particles>
      <Particles Name="core">
        <Params Inheritance="System" Spawn="FromParentBirth" Count="15,Random=0.2,EmitterStrength=(flags=32;t=0.49,v=1,flags=4;t=1,v=1),DistanceLOD=(v=1;t=0.5,v=1,flags=32;t=1,flags=4)" MaxDistanceLOD="75" ParticleSystem="RParticleGPU" ParticleLifeTime="0.1" EmissionRoundness="1" EmitAngle="10,Random=1" VerticalSpread="10,Random=1" BlendType="Additive" Texture="textures/vfx/smoke/smoke_wispy_5x5_dif.tif" FlowMapIntensity="0.0547" TextureAnimation="NumFramesU=5,NumFramesV=5,AnimRate=0,Loop=true,FirstFrameIntervalEnd=25,FrameBlend=true" RandomFlipU="true" RandomFlipV="true" SoftParticleV2="true" Alpha="0.0852273,Random=1,ParticleAge=(v=1,flags=32;t=1,flags=4)" Color="ParticleAge=(t=0.333,v=(x=0.87,y=0.49,z=0.11);t=0.855,v=(x=0.8,y=0.22,z=0.063);t=0.992)" DiffuseLighting="0" EmissiveLighting="25,ParticleAge=(v=1;t=1,flags=4)" Speed="8,Random=1,EmitterStrength=(v=0.286,flags=32;t=1,v=1,flags=4),DistanceLOD=(v=1;t=1)" InheritVelocity="1" Drag="40" MoveRelativeEmitter="true" Size="0.06,Random=0.2" VelocityStretch="1,ParticleAge=(v=1;t=0.31)" MinPixels="2" RandomAngles="y=180" Facing="Velocity" OrientToVelocity="true" CameraMaxDistance="70" />
      </Particles>
    </Childs>
  </Particles>
  <Particles Name="5mm_rifle_ballistic.shell_eject">
    <Params Inheritance="System" Count="1,DistanceLOD=(v=1;t=0.9,v=1,flags=32;t=1,flags=4)" MaxDistanceLOD="5" ParticleSystem="RParticleGPU" SpawnDelay="0.025" ParticleLifeTime="5" PositionOffset="x=0.03" EmitAngle="25,Random=1" EmissionAngle="x=90,y=90" VerticalSpread="25,Random=1" Alpha="ParticleAge=(t=0.79,v=1;t=1,flags=4)" Geometry="objects/fps_weapons/ammo/ccti/ccti_5_56_fired.cgf" GeometryPieces="AllPieces" Speed="3,Random=0.8" GravityScale="0.8" Drag="2" InitAngles="y=90,z=90" RandomAngles="y=90" Facing="Free" OrientToVelocity="true" ZBuffer="true,KillWhenHidden=false,DepthThreshold=0.02" Elasticity="0.8,Random=1,VerticalOffset=0.5,PivotalOffset=1" ColliderElevationDist="0.01" Behaviour="Slide" StopSpeed="1" Friction="0.1" SlideTransFrac="0.2" CameraMaxDistance="5" KeepAliveOnRestart="true" />
    <Childs>
      <Particles Name="smoke_trail_parent">
        <Params Inheritance="System" Spawn="FromParentBirth" Count="1,EmitterStrength=(v=0.086;t=0.298,v=1;t=0.6,v=1;t=1,v=0.067),DistanceLOD=(v=1;t=0.9,v=1,flags=32;t=1,flags=4)" MaxDistanceLOD="5" ParticleSystem="RParticleGPU" SpawnProbability="0.65" Continuous="true" EmitterLifeTime="0.125" ParticleLifeTime="0.8" EmissionRoundness="1" Alpha="ParticleAge=(v=1;t=1,v=0.49)" MoveRelativeEmitter="true" Size="0" CameraMaxDistance="5" />
        <Childs>
          <Particles Name="smoke_trail">
            <Params Inheritance="System" Spawn="FromParentBirth" Count="DistanceLOD=(v=1;t=0.9,v=1,flags=32;t=1,flags=4)" MaxDistanceLOD="5" ParticleSystem="RParticleGPU" Continuous="true" ParticleLifeTime="0.5" Texture="textures/vfx/smoke/wispyribbon_01.tif" TextureAnimation="TexScrolling=(y=0.5)" RibbonTexTiling="5" RandomFlipU="true" RandomFlipV="true" Alpha="Random=0.5,EmitterStrength=(v=1,flags=32;t=0.086,v=0.52;t=1),ParticleAge=(v=1,flags=32;t=0.086,v=0.52;t=1)" AlphaErosion="0.2,Random=1,ParticleAge=(flags=32;t=1,v=1)" Color="(x=0.30498734,y=0.30498734,z=0.30498734)" DiffuseBacklighting="0.5" ReceiveShadows="true" Drag="10" VortexTurbulence="0.025,Random=1,ParticleAge=(;t=0.5,v=1;t=0.996),Frequency=(x=21,y=9,z=3.5),RandomPhase=0.176056,RandomFrequency=0.2723" Size="0.05,Random=0.5,ParticleAge=(v=0.1;t=0.22,v=1;t=1,v=0.067)" Ribbon="true" AnchorBeginning="true" AnchorEnd="true" NumTrailSegments="20,DistanceLOD=(v=1;t=1)" NumControlPoints="10" CameraMaxDistance="5" CameraMinDistance="0.2" SortingMode="DepthSort" />
          </Particles>
        </Childs>
      </Particles>
    </Childs>
  </Particles>
</ParticleLibrary>